Commit 63f618b0 authored by fsmithred's avatar fsmithred

changes for 9.5.0

parent b28c1ac5
refractainstaller-gui (9.5.0) unstable; urgency=low
* Set root path to include sbin directories. (for Buster/Beowulf)
* Eliminate sudo/su question in wrapper script. Try sudo first.
* Shorten log name to refractainstaller.log
* Changed yad version test to 0.27 or newer needed. (This is a guess.)
* Changed wording for sshd_config (s/without-password/prohibit-password)
-- fsmithred <fsmithred@gmail.com> Mon, 26 Nov 2018 13:50:00 -0500
refractainstaller-gui (9.4.3) unstable; urgency=low
* Use zless to read gzipped installer_help file.
......
#!/usr/bin/env bash
#
# New wrapper for refractainstaller-yad 9.4.0 (uefi/bios)
# New wrapper for refractainstaller-yad 9.5.0
TEXTDOMAIN=refractainstaller-gui
TEXTDOMAINDIR=/usr/share/locale/
......@@ -11,28 +11,13 @@ Install it or run the text-only refractainstaller in a root terminal."' &
exit 0
fi
installer="/usr/bin/refractainstaller-yad -d"
yad --question --title=$"Admin Mode" --button=$" use 'su' ":0 \
--button=$" use sudo ":1 --button=$"Exit":2 --borders=10 \
--text=$"What method does the live system use for Administrator / root privileges?
Note: This is only for the purpose of starting this script.
It does not change anything.
You will be asked later to choose the method you
want to use in the installed system."
ans="$?"
if [[ $ans -eq 0 ]] ; then
xterm -fa mono -fs 12 -e su -c "$installer"
elif [[ $ans -eq 1 ]] ;then
xterm -fa mono -fs 12 -e "sudo $installer"
elif [[ $ans -eq 2 ]]; then
echo "Good-bye."
exit 0
fi
echo "Done."
installer="/usr/bin/refractainstaller-yad"
# Start script in terminal with sudo. Most live systems have sudo nopasswd.
# If sudo fails, ask for root password.
xterm -fa mono -fs 12 -hold -e "echo 'If user password fails, use root password.' && sudo $installer || su -c $installer"
exit 0
#!/usr/bin/env bash
version="Refracta UEFI/BIOS Installer (Yad) 9.4.3 (20181027)"
version="Refracta UEFI/BIOS Installer (Yad) 9.5.0 (20181103)"
TEXTDOMAIN=refractainstaller-gui
TEXTDOMAINDIR=/usr/share/locale/
......@@ -110,9 +110,9 @@ while [[ $1 == -* ]]; do
esac
done
if [ "$debug" = "yes" ] || [ "$DEBUG" = "yes" ]; then
# Always run graphical installer in debug mode.
# (setting it in wrapper script no longer works.)
set -x
fi
# Check that xserver is running and user is root.
[[ $DISPLAY ]] || { echo $"There is no xserver running. Exiting..." ; exit 1 ; }
......@@ -132,15 +132,12 @@ exec 2>"$error_log"
echo "Version: $version" >> "$error_log"
#******************************************************************
# Make sure yad is installed, and check the version.
# Make sure yad is installed, and check the version. *** What version is really needed??? ***
if [[ -f /usr/bin/yad ]] ; then
yadversion=$(yad --version | cut -d. -f2)
if [[ $yadversion < 17 ]]; then
if [[ $yadversion < 27 ]]; then
yad --title=$"Error" --window-icon=error --center --borders=10 --text=$"
The version of Yad is too old. You need 0.17.1.1 or later.
"
echo $"
The version of Yad is too old. You need 0.17.1.1 or later.
The version of Yad is too old. You need 0.27 or later.
"
exit 1
fi
......@@ -160,8 +157,8 @@ fi
# Greeting window
yad --title="$window_title" --width=480 --button=$"Continue":0 \
--button=$"Exit":1 --center --borders=10 \
yad --title="$window_title" --width=540 --height=500 --center --borders=10 \
--button=$"Continue":0 --button=$"Exit":1 \
--text=$"$live_session_warning
This utility will install a running live-CD or live-USB to your hard drive.
......@@ -175,15 +172,12 @@ yad --title="$window_title" --width=480 --button=$"Continue":0 \
${custom_text}\n
"
mode="$?"
case $mode in
0) install="expert" ;;
1) exit 0 ;;
esac
if [[ $? -ne 0 ]] ; then
exit 0
fi
# Fix root's path (for Buster/Beowulf and later)
PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
# function to exit the script if there are errors
check_exit () {
......@@ -438,9 +432,9 @@ else
fi
# Select expert installation options
if [[ $install = "expert" ]]; then
opts=$(yad --list --title=$"Installation Options" --center --borders=10 \
# Select installation options
opts=$(yad --list --title=$"Installation Options" --center --borders=10 \
--text=$"Check the options you want for the installation.\n
If you don't understand an option, you probably don't need it.\n" \
--checklist --column $"Choose" --column "":HD --column $"Option" \
......@@ -464,17 +458,9 @@ $pre_install_list" \
$var16 16 $"Run post-install scripts (listed below)
$post_install_list")
else
# simple defaults
use_uuid="yes"
disable_auto_desktop="yes"
disable_auto_console="yes"
if [[ $? = 1 ]] ; then
exit 0
fi
if [[ $? = 1 ]] ; then
exit 0
fi
if $(echo $opts | grep -q 01); then
sep_home="yes"
......@@ -1628,10 +1614,10 @@ fi
# or do nothing.
if [[ $ssh_pass = "yes" ]] ; then
sed -i~ 's/PasswordAuthentication no/PasswordAuthentication yes/' /target/etc/ssh/sshd_config
sed -i 's/PermitRootLogin yes/PermitRootLogin without-password/' /target/etc/ssh/sshd_config
sed -i 's/PermitRootLogin yes/PermitRootLogin prohibit-password/' /target/etc/ssh/sshd_config
elif [[ $ssh_pass = "no" ]] ; then
sed -i~ 's/ PasswordAuthentication yes/PasswordAuthentication no/' /target/etc/ssh/sshd_config
sed -i 's/PermitRootLogin yes/PermitRootLogin without-password/' /target/etc/ssh/sshd_config
sed -i~ 's/.*PasswordAuthentication yes/PasswordAuthentication no/' /target/etc/ssh/sshd_config
sed -i 's/PermitRootLogin yes/PermitRootLogin prohibit-password/' /target/etc/ssh/sshd_config
elif [[ -n "$ssh_pass" ]] ; then
echo $"WARNING: ssh_pass value not recognized. No changes were made to /etc/ssh/sshd_config"
fi
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment